//////////////////////////////////////////////////////////////////////////////////////
/*
DGUIControls - DrX GUI, a OGL GUI framework.

Author: Henrik Krysell
E-mail: drx@drx.dk
Website: www.drx.dk

Copyright (C) 2004  Henrik Krysell

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
//////////////////////////////////////////////////////////////////////////////////////

#ifndef _ERROR_HANDLER_H__
#define _ERROR_HANDLER_H__

/////////////////// INCLUDE & DEFINE ///////////////////
#include <string.h>
#include <iostream>

/////////////////// CLASS - OglSdl ///////////////////
namespace ErrHand
{
	class Error
	{
	public:
		// FUNCTIONS
		Error(const char *msg, int code) { strcpy(this->msg,msg); this->code = code; };
		~Error() {};
		
		void printError() { std::cout << msg; };
		
		// VARIABLES
		char msg[256];
		int code;
	};
}

/*
Error codes:
0 = Critical close app
1 = medium warning
2 = nothing special
*/
#endif
