//////////////////////////////////////////////////////////////////////////////////////
/*
DGUIControls - DrX GUI, a OGL GUI framework.

Author: Henrik Krysell
E-mail: drx@drx.dk
Website: www.drx.dk

Copyright (C) 2004  Henrik Krysell

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
//////////////////////////////////////////////////////////////////////////////////////

#ifndef _OGL_SDL_H__
#define _OGL_SDL_H__

/////////////////// INCLUDE & DEFINE ///////////////////


#include <GL/gl.h>
#include <GL/glu.h>
#include "SDL.h"

// My error handlers
#include "ErrorHandler.h"

/////////////////// CLASS - OglSdl ///////////////////
namespace OglSdl
{

class OglSdl
{
public:
	// FUNCTIONS
	OglSdl(long flag=SDL_INIT_VIDEO);
	~OglSdl();

	SDL_Surface *getSdlSurface() { return sdlSurf; };

	bool	createWindow(const char *caption, int width, int height, int depth);
	void	setFullScreen();
	void resizeWindow(int width, int height);

	void orthoMode(int left, int top, int right, int bottom);
	void orthoModeFullScreen();
	void perspectiveMode();
	
	// VARIABLES

private:
	// FUNCTIONS
	void 	setupPixelFormat();
	void	sizeOglScreen(int width, int height);
	
	// VARIABLES
	SDL_Surface *sdlSurf;
	int VideoFlags;
	int width, height, depth;
};

} // namespace
#endif
