//////////////////////////////////////////////////////////////////////////////////////
/*
Author: Henrik Krysell
E-mail: drx@drx.dk
Website: www.drx.dk

Copyright (C) 2004  Henrik Krysell

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
//////////////////////////////////////////////////////////////////////////////////////

#include "Vector3.h"

namespace Math3D
{

Vector3 Vector3::Cross(Vector3 vVector2)
{
	Vector3 vNormal;	

	// Calculate the cross product with the non communitive equation
	vNormal.x = ((y * vVector2.z) - (z * vVector2.y));
	vNormal.y = ((z * vVector2.x) - (x * vVector2.z));
	vNormal.z = ((x * vVector2.y) - (y * vVector2.x));

	// Return the cross product
	return vNormal;										 
}

float Vector3::Magnitude()
{
	return (float)sqrt( (x * x) + 
						(y * y) + 
						(z * z) );
}

void Vector3::Normalize()
{
	float magnitude = Magnitude();
	
	x /= magnitude;
	y /= magnitude;
	z /= magnitude;
}

} // namespace
